package cmm.service;

import cmm.Constant;
import cmm.util.CmmUtil;

@SuppressWarnings("serial")
public class CmmMetaVO {
	
	private String title = "지역N문화";
	private String url = "http://www.nculture.org";
	private String image = "http://www.nculture.org/images/cmm/open-graph-image.jpg";
	private String imageType = "image/jpeg";
	private Integer imageWidth = null;
	private Integer imageHeight = null;
	private String description = "지방문화원이 생산,발굴한 독특하고 고유한 지역문화 콘텐츠 및 소장자료를 모든 국민이 향유할수 있도록 제공하는 지역문화 대표 포털";
	private String ogType = Constant.META_OG_TYPE.article.toString();

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public String getImageType() {
		return imageType;
	}

	public void setImageType(String imageType) {
		this.imageType = imageType;
	}

	public Integer getImageWidth() {
		return imageWidth;
	}

	public void setImageWidth(Integer imageWidth) {
		this.imageWidth = imageWidth;
	}

	public Integer getImageHeight() {
		return imageHeight;
	}

	public void setImageHeight(Integer imageHeight) {
		this.imageHeight = imageHeight;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getOgType() {
		return ogType;
	}

	public void setOgType(String ogType) {
		this.ogType = ogType;
	}

	/**
	 * toString()
	 * @return String
	 */
    public String toString() {
    	return CmmUtil.reflectionToString(this);
    }

}
